$kind: http-request
url: "{{Local_URL}}/projects/create"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \      \"name\" :\"SGR PROJECT\",\r

    \            \"project_category_id\" :1, //Categories\r

    \            \"sector_id\" :1, //Nullable Sectors\r

    \            \"priority\":\"Low\", //in:High,Medium,Low',\r

    \            \"status\":\"Not Started\", //'nullable|in:Not Started,In
    Progress,Completed,On Hold,Cancelled',\r

    \            \"reporting_period\":\"Monthly\",//'nullable|in:Daily,Weekly,B\
    i-weekly,Monthly,Quarterly,Semi-Annually,Annually,Biennially,Ad-hoc',\r

    \            \"cost\":200, //Nullable\r

    \            \"currency_id\":1,//Currencies nullable\r

    \            \"website\":null, //Nullable\r

    \            \"challenges\":null,//Nullable\r

    \            \"location\":\"Lcation\",// Nullable\r

    \            \"project_manager\":1,//Staff t\r

    \            \"start_date\":\"2024-09-25\",\r

    \            \"end_date\":\"2024-12-25\", //Nullable if project has no clear
    end date\r

    \            \"recommendations\":\"recommendations\", //Nullable\r

    \            //Optional\r

    \            \"project_partners\":[\r

    \                {\r

    \                    \"partner_id\":1,\r

    \                    \"type\":\"Sponsor\",//'Sponsor', 'Manager', 'Client',
    'Contractor', 'Consultant', 'Supplier', 'Team Member', 'Regulatory Body',
    'Investor', 'Strategic Partner', 'Community Stakeholder'\r

    \                    \"role\":\"To finance the projecet\"\r

    \                }\r

    \               \r

    \            ],\r

    \            \"project_files\":[\r

    \                {\r

    \                    \"files\":\"\"//Send an array of files\r

    \                }\r

    \            ]\r

    \r

    \r

    }"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 12000
